From b5af31ec779f9857c13af35793fc098a02c7b961 Mon Sep 17 00:00:00 2001
From: =?utf-8?q?Rafa=C5=82=20Mi=C5=82ecki?= <zajec5@gmail.com>
Date: Fri, 22 May 2009 11:10:24 +0200
Subject: [PATCH] PM: add RHDGetDefaultMemoryClock

---
 src/rhd_pm.c |   12 ++++++++++++
 src/rhd_pm.h |    1 +
 2 files changed, 13 insertions(+), 0 deletions(-)

diff --git a/src/rhd_pm.c b/src/rhd_pm.c
index 175eb19..a5c07f8 100644
--- a/src/rhd_pm.c
+++ b/src/rhd_pm.c
@@ -172,6 +172,18 @@ RHDGetMemoryClock(RHDPtr rhdPtr) {
         return 0;
 }
 
+unsigned long
+RHDGetDefaultMemoryClock(RHDPtr rhdPtr) {
+#ifdef ATOM_BIOS
+    union AtomBiosArg data;
+    if (RHDAtomBiosFunc(rhdPtr->scrnIndex, rhdPtr->atomBIOS,
+                        GET_DEFAULT_MEMORY_CLOCK, &data) == ATOM_SUCCESS) {
+        return data.clockValue;
+    } else
+#endif
+        return 0;
+}
+
 Bool
 RHDSetEngineClock(RHDPtr rhdPtr, unsigned long clk) {
 #ifdef ATOM_BIOS
diff --git a/src/rhd_pm.h b/src/rhd_pm.h
index 3e0f5d0..0dd3348 100644
--- a/src/rhd_pm.h
+++ b/src/rhd_pm.h
@@ -42,6 +42,7 @@ void RHDPmRestore(RHDPtr rhdPtr);
 unsigned long RHDGetEngineClock(RHDPtr rhdPtr);
 unsigned long RHDGetDefaultEngineClock(RHDPtr rhdPtr);
 unsigned long RHDGetMemoryClock(RHDPtr rhdPtr);
+unsigned long RHDGetDefaultMemoryClock(RHDPtr rhdPtr);
 
 Bool RHDSetEngineClock(RHDPtr rhdPtr, unsigned long clk);
 Bool RHDSetMemoryClock(RHDPtr rhdPtr, unsigned long clk);
-- 
1.6.0.2

